Name:           zanata-util
Version:        0.2.9
Release:        1%{?dist}
Summary:        Helper scripts for using Zanata
Group:          Development/Tools
License:        GPL+ or Artistic
URL:            http://git.fedorahosted.org/git/?p=zanata-util.git
Source0:        https://fedorahosted.org/releases/z/a/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Locale::Country)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(version)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# For rhbz 852951
Requires:  perl(LWP::UserAgent)
Requires:  perl(LWP::Protocol::https)

%{?perl_default_filter}

%description
zanata-util is a collection of helper scripts that make using Zanata easier.

It includes:
* zanata_pom_xml_make: Produce a pom.xml for using Zanata maven client.
    It either inserts setting for zanata plug-in and zanata plug-in repository,
    or create a new pom.xml if pom.xml does not yet exists.

* zanata_zanata_xml_make: Produce a zanata.xml for using Zanata clients.
    It downloads the corresponding zanata.xml and map the local locales to
    the ones that Zanata server supported.

* zanata_language_list
    List the all support languages from language list of a Zanata server.



%prep
%setup -q


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build  destdir=$RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc description ChangeLog gpl-1.0.txt  COPYING.artistic README
# For noarch packages: vendorlib
%{perl_vendorlib}/*

%{_bindir}/zanata*
%{_datadir}/%{name}/locale.txt
%config(noreplace) %{_sysconfdir}/zanata.cfg
%{_mandir}/man1/zanata_*.gz
%{_mandir}/man3/Zanata::Util*.gz

%changelog
* Fri Oct 26 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.9-1
- Resolves: Bug 852951 - Failed to parse .../language/list
- Resolves: Bug 870259 - [zanata_zanata_xml_make] should be able do handle traling / in URL
- Resolves: Bug 870261 - [zanata_zanata_xml_make] Fail to download project zanata.xml
- Maven support up to 1.8.0-SNAPSHOT
- More comprehensive locale.txt

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 0.2.8-2
- Perl 5.16 rebuild

* Fri Jun 15 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.8-1
- zanata_pom_xml_make: Update to Zanata Maven Client 1.6.1-SNAPSHOT
- PluginRepository insertion are now disabled, as this functionality
  can be achieved by modifying ~/.m2/settings.xml

* Mon Apr 23 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.7-1
- zanata_pom_xml_make: Fixed groupId generate

* Fri Apr 20 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.6-1
- zanata_zanata_xml_make: Fixed locale resource search for gettext project

* Thu Apr 19 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.5-1
- Fixed mistakenly update top <version> of pom.xml, for maven projects
  that have existing pom.xml

* Thu Apr 19 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.4-1
- Fixed Bug 812216 - zanata_zanata_xml_make found wrong locale resource
- Fixed Bug 813997 - Missing Dependency: perl-XML-Path

* Wed Apr 04 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.3-1
- Fix the EL-5 build
  + Add target 'rpm_md5' for generate md5 rpm from EL-5
  + Build Required: perl(version)

* Mon Apr 02 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.2-1
- Add BuildRequired: perl(LWP:rotocol::https), perl(List::MoreUtils)
      , perl(Locale::Country)

* Mon Apr 02 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.1-1
- New functionality: --mapFromLocale (-m) for zanata_zanata_xml_make
- Fix koji build

* Mon Apr 02 2012 Ding-Yi Chen <dchen at redhat.com> - 0.2.0-1
- Refactored zanata_zanata_xml_make
- Add man pages for zanata_zanata_xml_make
- New program: zanata_langauage_list
- Removed program: zanata_replace_string_with_file

* Thu Mar 29 2012 Ding-Yi Chen <dchen at redhat.com> - 0.1.1-1
- Refactored zanata_pom_xml_make
- Add man pages for zanata_pom_xml_make

* Tue Mar 27 2012 Ding-Yi Chen <dchen at redhat.com> - 0.1.0-1
- Initial package

